For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGet API key
DocumentationIntegrationsAPI Reference
DocumentationIntegrationsAPI Reference
  • API Reference
      • GETGet Agent Webhook
      • POSTCreate Or Update Agent Webhook
      • DELDelete Agent Webhook
      • GETList Agent Deliveries
      • POSTTest Agent Webhook
LogoLogo
HomeGet API key
API Referenceagent-webhooks

Test Agent Webhook

POST
https://api.agentphone.ai/v1/agents/:agent_id/webhook/test
POST
/v1/agents/:agent_id/webhook/test
1const url = 'https://api.agentphone.ai/v1/agents/agent_id/webhook/test';
2const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
3
4try {
5 const response = await fetch(url, options);
6 const data = await response.json();
7 console.log(data);
8} catch (error) {
9 console.error(error);
10}
Send a test webhook to the agent's webhook endpoint.
Was this page helpful?
Previous

List Contacts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agent_idstringRequired

Response

Successful Response

Errors

422
Unprocessable Entity Error